using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Demo4 : System.Web.UI.Page
{
	ListItem[] cbrecords = { new ListItem("Pickles", "1"), new ListItem("Onions", "2"), new ListItem("Sesame Seed Bun", "Sesame Seed Bun") };

	protected void Page_Load(object sender, EventArgs e)
    {
		if (!IsPostBack)
		{
			InitializeCheckBoxList(cbrecords, CheckBoxList1);
		}
		DumpCheckBoxList(CheckBoxList1, tblCBL1);
	}

	private void InitializeCheckBoxList(ListItem[] records, CheckBoxList cbl)
	{
		cbl.Items.Clear();

		foreach (ListItem r in records)
		{
			cbl.Items.Add(r);
		}
	}

	private void DumpCheckBoxList(CheckBoxList cbl, Table tbl)
	{
		tbl.Rows.Clear();

		TableRow row = new TableRow();
		TableCell cell;
		string[] headings = { "Index", "Text", "Value", "Checked" };

		foreach (string s in headings)
		{
			cell = new TableCell();
			cell.Text = s;
			//cell.Style.Add(HtmlTextWriterStyle.FontStyle, "italic");
			//cell.Style.Add(HtmlTextWriterStyle.TextDecoration, "underline");
			row.Cells.Add(cell);
		}
		tbl.Rows.Add(row);

		row = new TableRow();
		int counter = 0;
		foreach (ListItem i in cbl.Items)
		{

			cell = new TableCell();
			cell.Text = counter.ToString();
			row.Cells.Add(cell);
			counter++;

			cell = new TableCell();
			cell.Text = i.Text;
			row.Cells.Add(cell);

			cell = new TableCell();
			cell.Text = i.Value;
			row.Cells.Add(cell);

			cell = new TableCell();
			cell.Text = i.Selected.ToString();
			row.Cells.Add(cell);

			tbl.Rows.Add(row);
			row = new TableRow();
		}
	}

}
